Get a case
curl --request GET \
--url https://app.nautilus.co/api/v1/cases/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.nautilus.co/api/v1/cases/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nautilus.co/api/v1/cases/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caseId": "<string>",
"ticketNumber": 123,
"status": "<string>",
"action": "<string>",
"requestType": "<string>",
"source": "<string>",
"customer": {
"customerId": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"licensePlate": "<string>"
},
"site": {
"siteId": "<string>",
"name": "<string>",
"commonName": "<string>"
},
"submittedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"assignedTo": "<string>",
"resolution": "<string>",
"category": "<string>",
"history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"action": "<string>",
"from": "<string>",
"to": "<string>",
"resolution": "<string>",
"notes": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"channel": "<string>"
}
],
"notes": [
{
"timestamp": "2023-11-07T05:31:56Z",
"comment": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"system": true
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Cases
Get a case
Returns the resource only when it belongs to the organization encoded in the tenant API key. Missing and cross-tenant identifiers both return 404.
GET
/
api
/
v1
/
cases
/
{caseId}
Get a case
Authorizations
Clerk tenant API key. The organizationId encoded by the key is the exact and only tenant scope.
Path Parameters
Response
Tenant-scoped resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
UTC ISO 8601 timestamp.
UTC ISO 8601 timestamp.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

